import { IObjectMeta } from "@kubernetes-models/apimachinery/apis/meta/v1/ObjectMeta";
import { Model, ModelData } from "@kubernetes-models/base";
export interface IInternalPackageMetadata {
    /**
     * APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
     */
    "apiVersion": "internal.packaging.carvel.dev/v1alpha1";
    /**
     * Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
     */
    "kind": "InternalPackageMetadata";
    "metadata"?: IObjectMeta;
    "spec": {
        "categories"?: Array<string>;
        "displayName"?: string;
        "iconSVGBase64"?: string;
        "longDescription"?: string;
        "maintainers"?: Array<{
            "name"?: string;
        }>;
        "providerName"?: string;
        "shortDescription"?: string;
        "supportDescription"?: string;
    };
}
export declare class InternalPackageMetadata extends Model<IInternalPackageMetadata> implements IInternalPackageMetadata {
    "apiVersion": IInternalPackageMetadata["apiVersion"];
    "kind": IInternalPackageMetadata["kind"];
    "metadata"?: IInternalPackageMetadata["metadata"];
    "spec": IInternalPackageMetadata["spec"];
    static apiVersion: IInternalPackageMetadata["apiVersion"];
    static kind: IInternalPackageMetadata["kind"];
    static is: import("@kubernetes-models/base").TypeMetaGuard<IInternalPackageMetadata>;
    constructor(data?: ModelData<IInternalPackageMetadata>);
}
